:root {
  /* Sticky docs header (DocsNav main row + product subnav); keep in sync with DocsNav.astro layout */
  --docs-nav-total-height: 96px;
  --color-background-nav: rgba(250, 250, 248, 0.88);
  --color-background-docs-content: #ffffff;
  --icon-box-shadow:
    0px 0px 1px 0.5px rgba(0, 0, 0, 0.2),
    0px 0px 0px 0.75px rgba(0, 0, 0, 0.05), 0px 0.75px 0px 0px #fff inset,
    0px -1px 0px 0px rgba(0, 0, 0, 0.1) inset;
  --radial-background: radial-gradient(
    50% 50% at 50% 50%,
    rgba(0, 0, 0, 0) 0%,
    rgba(0, 0, 0, 0.04) 100%
  );
  --search-bar-box-shadow: 0px 0px 1px 0.5px rgba(0, 0, 0, 0.2);
  --card-box-shadow:
    0px 0px 0px 1px rgba(0, 0, 0, 0.08), 0px 2px 4px 0px rgba(0, 0, 0, 0.04);
  --badge-box-shadow:
    0px 0px 0px 1px rgba(0, 68, 204, 0.16), 0px 2px 4px 0px rgba(0, 0, 0, 0.04);
  --badge-box-shadow-hover:
    0px 0px 0px 1px rgba(0, 41, 122, 0.9), 0px 4px 8px 0px rgba(0, 0, 0, 0.16);
  --dropdown-box-shadow: 0px 8px 24px 0px rgba(82, 80, 74, 0.12);
  --button-box-shadow:
    rgba(0, 0, 0, 0.12) 0px 0px 0px 1px, rgba(0, 0, 0, 0.04) 0px 1px 2px 0px;
}

html.dark {
  --color-background-nav: rgba(20, 20, 18, 0.88);
  --color-background-docs-content: #1b1b19;
  --icon-box-shadow:
    0px 0px 4px 0px rgba(0, 0, 0, 0.4),
    0px 0px 0px 0.75px rgba(255, 255, 255, 0.12),
    0px 0.75px 0px 0px rgba(255, 255, 255, 0.2) inset,
    0px -0.75px 0px 0px rgba(0, 0, 0, 0.12) inset;
  --radial-background: radial-gradient(
    50% 50% at 50% 50%,
    rgba(255, 255, 255, 0) 0%,
    rgba(255, 255, 255, 0.04) 100%
  );
  --search-bar-box-shadow:
    0px 0px 0px 1px rgba(255, 255, 255, 0.12),
    0px 2px 4px 0px rgba(0, 0, 0, 0.16);
  --card-box-shadow:
    0px 0px 1px 2px rgba(0, 0, 0, 0.24),
    0px 0px 0px 1px rgba(255, 255, 255, 0.2),
    0px 2px 2px 0px rgba(0, 0, 0, 0.24);
  --badge-box-shadow:
    0px 0px 0px 1px rgba(0, 68, 204, 0.5), 0px 2px 4px 0px rgba(0, 0, 0, 0.5);
  --badge-box-shadow-hover:
    0px 0px 0px 1px rgba(102, 143, 224, 0.6), 0px 4px 8px 0px rgba(0, 0, 0, 0.5);
  --dropdown-box-shadow: 0px 8px 24px 0px rgba(82, 80, 74, 0.12);
  --button-box-shadow:
    rgba(255, 255, 255, 0.2) 0px 0px 0px 1px,
    rgba(0, 0, 0, 0.16) 0px 2px 4px 0px;
}

::selection {
  background-color: var(--primary-blue-bg);
  color: var(--on-hue-fg);
}

html {
  scroll-padding-top: calc(var(--docs-nav-total-height) + 32px);
}

body {
  font-family: "Inter", sans-serif;
}
body * {
  font-family: inherit;
}

hr {
  border: none;
  height: 1px;
  background: var(--neutral-outline-1);
}

ul,
ol {
  width: 100%;
  padding-left: 1.25em;
}

ul.list--unstyled,
ol.list--unstyled {
  list-style: none;
  padding: 0;
}

ul.ul--icons {
  list-style: none;
  padding-left: 0;
  display: flex;
  flex-direction: column;
  gap: var(--s2);
  --icon-color: var(--neutral-fg-2);
  --icon-background-color: var(--neutral-outline-1);
}

ul.ul--icons li {
  display: flex;
  flex-wrap: wrap;
  gap: var(--s2);
}

/* Button */
.button {
  outline: none;
  border: none;
  border-radius: var(--s1);
  background-color: var(--bg-3);
  display: flex;
  align-items: center;
  gap: var(--s1);
  color: var(--neutral-fg-1);
  box-shadow: var(--icon-box-shadow);
  text-decoration: none;
}
.button svg,
.button path {
  fill: var(--neutral-fg-2) !important;
}

/* Badge */
.badge {
  display: inline-flex;
  padding: 0px var(--s1);
  justify-content: center;
  align-items: center;
  gap: var(--s1);
  --badge-text-color: var(--neutral-fg-2);
  --badge-border-color: var(--neutral-outline-1);
  --badge-background-color: var(--bg-2);
  border-radius: var(--s1-5);
  border: 1px solid var(--badge-border-color);
  background: var(--badge-background-color);
  box-shadow: 0px 1px 0px 0px var(--badge-border-color);
  color: var(--badge-text-color);
}

.badge--bold {
  --badge-text-color: var(--on-contrast-fg);
  --badge-border-color: var(--neutral-fg-1);
  --badge-background-color: var(--bg-contrast);
}

.badge--success {
  --badge-text-color: var(--color-success);
  --badge-border-color: var(--color-success-outline);
  --badge-background-color: var(--color-success-surface);
}

.badge--primary {
  --badge-text-color: var(--primary-fg);
  --badge-border-color: var(--primary-badge-outline);
  --badge-background-color: var(--blue-badge-bg);
}

.badge--bold_primary {
  --badge-text-color: var(--bg-1);
  --badge-border-color: var(--primary-badge-outline);
  --badge-background-color: var(--primary-blue-bg);
}

.badge--bold_secondary {
  --badge-border-color: var(--neutral-outline-2);
  --badge-background-color: var(--bg-3);
}

.badge--warning {
  --badge-text-color: var(--color-warning);
  --badge-border-color: var(--color-warning-outline);
  --badge-background-color: var(--color-warning-surface);
}

.badge--danger {
  --badge-text-color: var(--color-danger);
  --badge-border-color: var(--color-danger-outline);
  --badge-background-color: var(--color-danger-surface);
}

.badge--mono {
  font-size: 13px;
  font-family: JetBrains Mono, monospace;
}

/* Icons */
[astro-icon] {
  width: 1em;
  height: 1em;
  display: inline-block;
  fill: currentColor;
  vertical-align: text-top;
}

.endpoint-wrapper {
  display: flex;
  align-items: center;
  margin-bottom: var(--s6);
}
.endpoint-wrapper > .badge {
  margin-right: var(--s3);
}/* Typescale */
h1,
h2,
.badge,
.title-2xl,
.title-xl,
.title-l,
.title-m,
.title-s,
.title-xs {
  font-style: normal;
  font-weight: 600;
}

h1,
.title-2xl {
  font-size: 32px;
  letter-spacing: -1.2px;
  line-height: 40px;
}

h2,
.title-xl {
  font-size: 24px;
  letter-spacing: -0.64px;
  line-height: 32px;
}

.title-l {
  font-size: 20px;
  letter-spacing: -0.24px;
  line-height: 28px;
}

.title-m {
  font-size: 16px;
  letter-spacing: 0.08px;
  line-height: 24px;
}

.title-s {
  font-size: 14px;
  letter-spacing: 0.08px;
  line-height: 20px;
}

.title-xs {
  font-size: 12px;
  letter-spacing: 0.07px;
  line-height: 16px;
}

h3,
h4,
.subtitle-2xl,
.subtitle-xl,
.subtitle-l,
.subtitle-m,
.subtitle-s,
.subtitle-xs {
  font-style: normal;
  font-weight: 500;
}

.subtitle-2xl {
  font-size: 32px;
  letter-spacing: -1.2px;
  line-height: 40px;
}

.subtitle-xl {
  font-size: 24px;
  letter-spacing: -0.64px;
  line-height: 32px;
}

h3,
.subtitle-l {
  font-size: 20px;
  letter-spacing: -0.24px;
  line-height: 28px;
}

h4,
.subtitle-m {
  font-size: 16px;
  letter-spacing: 0.08px;
  line-height: 24px;
}

.subtitle-s {
  font-size: 14px;
  letter-spacing: 0.08px;
  line-height: 20px;
}

.subtitle-xs {
  font-size: 12px;
  letter-spacing: 0.07px;
  line-height: 16px;
}

p,
small,
.body-2xl,
.body-xl,
.body-l,
.body-m,
.body-s,
.body-xs {
  font-style: normal;
  font-weight: 400;
}

.body-2xl {
  font-size: 32px;
  letter-spacing: -1.2px;
  line-height: 40px;
}

.body-xl {
  font-size: 24px;
  letter-spacing: -0.64px;
  line-height: 32px;
}

.body-l {
  font-size: 20px;
  letter-spacing: -0.24px;
  line-height: 28px;
}

p,
.body-m {
  font-size: 16px;
  letter-spacing: 0.08px;
  line-height: 24px;
}

small,
.body-s {
  font-size: 14px;
  letter-spacing: 0.08px;
  line-height: 20px;
}

.body-xs {
  font-size: 12px;
  letter-spacing: 0.07px;
  line-height: 16px;
}

em,
pre,
code,
.mono-m,
.mono-s,
.mono-xs {
  font-family: JetBrains Mono, monospace;
  font-style: normal;
  font-weight: 400;
}

.mono-m {
  font-size: 16px;
  letter-spacing: 0.08px;
  line-height: 24px;
}

pre,
code,
.mono-s {
  font-size: 14px;
  letter-spacing: 0.08px;
  line-height: 20px;
}

.mono-xs {
  font-size: 12px;
  letter-spacing: 0.07px;
  line-height: 16px;
}/* Route announcer */
	.astro-route-announcer {
		position: absolute;
		left: 0;
		top: 0;
		clip: rect(0 0 0 0);
		clip-path: inset(50%);
		overflow: hidden;
		white-space: nowrap;
		width: 1px;
		height: 1px;
	}button[data-astro-cid-bsodaqy2]{cursor:pointer;text-decoration:none;background-color:transparent;border:none;color:var(--neutral-fg-2);font-size:14px;line-height:20px;font-weight:500;padding:var(--s2);border-radius:var(--s1-5);padding:var(--s2);&[data-astro-cid-bsodaqy2]:hover{background:var(--bg-3);color:var(--neutral-fg-1)}}span[data-astro-cid-bsodaqy2]{align-items:center;display:flex;height:16px;width:16px}.dark[data-astro-cid-bsodaqy2]{display:none!important}.dark .light[data-astro-cid-bsodaqy2]{display:none!important}.dark .dark[data-astro-cid-bsodaqy2]{display:flex!important}/* Global style to target the search bar react children componetns in SearchCustomTrigger */
  .ask-ai {
    color: var(--neutral-fg-2);
    text-wrap: nowrap;
    padding: var(--s1-5) var(--s3);
    border: none;
    background: none;
    font-size: 14px;
    line-height: 20px;
    font-weight: 500;
    border-left: 1px solid var(--neutral-outline-2);
    cursor: pointer;
    &:hover {
      background-color: var(--bg-3);
    }
  }

  .dark .search-bar {
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='16' fill='%23a3a3a3' viewBox='0 -960 960 960' width='16'%3E%3Cpath d='M384.035-336Q284-336 214-406t-70-170q0-100 70-170t170-70q100 0 170 70t70 170.035q0 40.381-12.5 76.173T577-434l214 214q11 11 11 25t-11 25q-11 11-25.5 11T740-170L526-383q-30 22-65.792 34.5T384.035-336ZM384-408q70 0 119-49t49-119q0-70-49-119t-119-49q-70 0-119 49t-49 119q0 70 49 119t119 49Z'/%3E%3C/svg%3E");
  }

  .search-bar {
    font-family: "Inter", sans-serif;
    width: 100%;
    line-height: 20px;
    padding: calc(var(--s1-5) - 1px) var(--s3) calc(var(--s1-5) - 1px) 36px;
    border: none;
    cursor: pointer;
    text-align: left;
    position: relative;
    background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='16' fill='%237A7A7A' viewBox='0 -960 960 960' width='16'%3E%3Cpath d='M384.035-336Q284-336 214-406t-70-170q0-100 70-170t170-70q100 0 170 70t70 170.035q0 40.381-12.5 76.173T577-434l214 214q11 11 11 25t-11 25q-11 11-25.5 11T740-170L526-383q-30 22-65.792 34.5T384.035-336ZM384-408q70 0 119-49t49-119q0-70-49-119t-119-49q-70 0-119 49t-49 119q0 70 49 119t119 49Z'/%3E%3C/svg%3E");
    background-position: 12px center;
    background-repeat: no-repeat;
    color: var(--neutral-fg-2);
    font-weight: 400;
    background-color: transparent;

    &:hover {
      background-color: var(--bg-3);
    }

    &::after {
      content: var(--search-shortcut-label, "⌘K");
      border-radius: var(--s1);
      position: absolute;
      height: 20px;
      min-width: 28px;
      padding: 0 4px;
      text-align: center;
      right: var(--s3);
      font-size: 12px;
      line-height: 20px;
      box-shadow: var(--icon-box-shadow);
      background: var(--radial-background);
    }
  }.docs-nav-shell[data-astro-cid-efdez3sp]{position:sticky;top:0;left:0;right:0;z-index:1001;background-color:var(--color-background-nav);backdrop-filter:blur(6px);border-bottom:1px solid var(--neutral-outline-1)}.docs-nav-main[data-astro-cid-efdez3sp]{padding:var(--s3) var(--s6);display:grid;grid-template-columns:1fr 2fr 1fr;align-items:center;justify-items:center}@media (max-width: 1024px){.docs-nav-main[data-astro-cid-efdez3sp]{display:flex;justify-content:space-between;padding:var(--s3) var(--s3);gap:var(--s6)}}.docs-nav-main[data-astro-cid-efdez3sp] .logo-link[data-astro-cid-efdez3sp]{text-decoration:none;display:flex;align-items:center;gap:var(--s2)}.docs-nav-main[data-astro-cid-efdez3sp] .logo-link[data-astro-cid-efdez3sp] svg{height:20px}.docs-nav-main[data-astro-cid-efdez3sp] .logo-link[data-astro-cid-efdez3sp] .button[data-astro-cid-efdez3sp]{font-family:"JetBrains Mono",monospace;font-size:13px;line-height:18px;padding:0 var(--s1)}.docs-nav-main[data-astro-cid-efdez3sp] .actions[data-astro-cid-efdez3sp]{display:flex;align-items:center;gap:var(--s4)}.docs-nav-main[data-astro-cid-efdez3sp] .actions[data-astro-cid-efdez3sp] .link[data-astro-cid-efdez3sp]{display:flex;align-items:center;gap:var(--s2);cursor:pointer;text-decoration:none;color:var(--neutral-fg-2);font-size:14px;line-height:20px;font-weight:500;border-radius:var(--s1-5);padding:var(--s1-5) var(--s2);text-wrap:nowrap;border:none;outline:none;background-color:transparent}.docs-nav-main[data-astro-cid-efdez3sp] .actions[data-astro-cid-efdez3sp] .link[data-astro-cid-efdez3sp]:hover{background:var(--bg-3);color:var(--neutral-fg-1)}@media (max-width: 1280px){.docs-nav-main[data-astro-cid-efdez3sp] .actions[data-astro-cid-efdez3sp]{gap:var(--s4)}}@media (max-width: 744px){.docs-nav-main[data-astro-cid-efdez3sp] .actions[data-astro-cid-efdez3sp]{gap:var(--s2)}}.docs-nav-main[data-astro-cid-efdez3sp]>div[data-astro-cid-efdez3sp]:first-child{justify-self:start}.docs-nav-main[data-astro-cid-efdez3sp]>div[data-astro-cid-efdez3sp]:last-child{justify-self:end}.docs-nav-main[data-astro-cid-efdez3sp] #search-button[data-astro-cid-efdez3sp]{display:none}@media (max-width: 1024px){.docs-nav-main[data-astro-cid-efdez3sp] #search-button[data-astro-cid-efdez3sp]{display:inherit}}@media (max-width: 744px){.docs-nav-main[data-astro-cid-efdez3sp] #search-button[data-astro-cid-efdez3sp] span[data-astro-cid-efdez3sp]{display:none}}@media (max-width: 744px){.docs-nav-main[data-astro-cid-efdez3sp] #account-button[data-astro-cid-efdez3sp]{display:none}}.docs-nav-main[data-astro-cid-efdez3sp] .search-bar-wrapper[data-astro-cid-efdez3sp]{max-width:444px;width:100%;min-height:32px;display:flex;overflow:hidden;background-color:var(--bg-2);box-shadow:var(--search-bar-box-shadow);border-radius:var(--s1-5)}@media (max-width: 1024px){.docs-nav-main[data-astro-cid-efdez3sp] .search-bar-wrapper[data-astro-cid-efdez3sp]{display:none}}.docs-nav-sub__tabs[data-astro-cid-efdez3sp]{display:flex;flex-wrap:nowrap;align-items:center;gap:var(--s3);margin:0;margin-bottom:-1px;overflow-x:auto;overflow-y:visible;-webkit-overflow-scrolling:touch;scrollbar-width:none}@media (max-width: 1024px){.docs-nav-sub__tabs[data-astro-cid-efdez3sp]{gap:var(--s0)}}.docs-nav-sub__tabs[data-astro-cid-efdez3sp] li[data-astro-cid-efdez3sp]:first-of-type{margin-left:var(--s4)}@media (max-width: 1024px){.docs-nav-sub__tabs[data-astro-cid-efdez3sp] li[data-astro-cid-efdez3sp]:first-of-type{margin-left:var(--s1)}}.docs-nav-sub__tabs[data-astro-cid-efdez3sp] li[data-astro-cid-efdez3sp]:last-of-type{margin-right:var(--s4)}.docs-nav-sub__tabs[data-astro-cid-efdez3sp]::-webkit-scrollbar{display:none}.docs-nav-sub__tab[data-astro-cid-efdez3sp]{display:block;text-decoration:none;color:var(--neutral-fg-2);font-size:14px;line-height:20px;font-weight:500;padding:var(--s1) var(--s2);margin-bottom:var(--s3);border-radius:var(--s2);text-wrap:nowrap}.docs-nav-sub__tab[data-astro-cid-efdez3sp]:hover{background:var(--bg-3);color:var(--neutral-fg-1)}.docs-nav-sub__tab--active[data-astro-cid-efdez3sp]{position:relative;color:var(--neutral-fg-1)}.docs-nav-sub__tab--active[data-astro-cid-efdez3sp]::after{content:"";position:absolute;left:var(--s1-5);right:var(--s1-5);bottom:-12px;z-index:1002;height:2px;border-radius:2px;background-color:var(--neutral-fg-1)}